Bug 736583 - file ownership
Summary: file ownership
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bugzilla
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 07:31 UTC by Florian La Roche
Modified: 2011-12-30 20:06 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-12-30 20:04:53 UTC


Attachments (Terms of Use)

Description Florian La Roche 2011-09-08 07:31:04 UTC
Description of problem:

After installing bugzilla, run a "rpm -V bugzilla" to see how files
get changed by the checksetup.pl script.

Maybe the following change in packaging should be done or changes
to checksetup.pl should be done for a secure setup.


bugzilla.spec file:
@@ -168,7 +128,7 @@
 popd > /dev/null)

 %files
-%defattr(-,root,root,-)
+%defattr(-,root,apache,-)
 %dir %{bzinstallprefix}/bugzilla
 %{bzinstallprefix}/bugzilla/*.cgi
 %{bzinstallprefix}/bugzilla/*.pl


best regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2011-10-24 09:26:03 UTC
bugzilla-3.4.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-3863

Comment 2 Fedora Update System 2011-11-06 10:38:23 UTC
bugzilla-3.2.10-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bugzilla-3.2.10-2.el5

Comment 3 Fedora Update System 2011-11-06 20:23:56 UTC
Package bugzilla-3.2.10-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bugzilla-3.2.10-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4907
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-30 20:04:53 UTC
bugzilla-3.4.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-12-30 20:06:17 UTC
bugzilla-3.2.10-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.